import service from '@/utils/request'

// @Router /pic_library/list
export const getFileListApi = (data) => {
  return service({
    url: '/pic/pic_library/list',
    method: 'post',
    data
  })
}

// @Router /pic_library/cat_list
export const getCategoryListApi = (data) => {
  return service({
    url: '/pic/pic_library/cat_list',
    method: 'post',
    data
  })
}

// @Router /pic_library/add_cat
export const addCategoryApi = (data) => {
  return service({
    url: '/pic/pic_library/add_cat',
    method: 'post',
    data
  })
}

// @Router /pic_library/upload_handler
export const uploadHandlerApi = (data) => {
  return service({
    url: '/pic/pic_library/upload_handler',
    method: 'post',
    data
  })
}

// @Router /pic_library/delete_file
export const deleteFilesApi = (data) => {
  return service({
    url: '/pic/pic_library/delete_file',
    method: 'post',
    data
  })
}

// @Router /pic_library/delete_cat
export const deleteCategoryApi = (data) => {
  return service({
    url: '/pic/pic_library/delete_cat',
    method: 'post',
    data
  })
}